package com.memorynotfound;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletRequestWrapper;
import javax.servlet.http.HttpSession;

public class HttpServletDisableSessionRequestWrapper extends HttpServletRequestWrapper {

    /**
     * Constructs a request object wrapping the given request.
     *
     * @param request HttpServletRequest
     * @throws IllegalArgumentException if the request is null
     */
    public HttpServletDisableSessionRequestWrapper(HttpServletRequest request) {
        super(request);
    }

    /**
     * Enforce that the HttpSession cannot be created
     */
    @Override
    public HttpSession getSession() {
        throw new UnsupportedOperationException("HttpSession is not allowed");
    }

    /**
     * Enforce that the HttpSession cannot be created
     */
    @Override
    public HttpSession getSession(boolean create) {
        throw new UnsupportedOperationException("HttpSession is not allowed");
    }

}
